## ktp-accounts-kcm 17.04.3

=== debian/changelog ===
ktp-accounts-kcm (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install usr/share/locale/*
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:53 +0100

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               intltool,
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkaccounts-dev (>= 4:17.04.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libktp-dev (>= 4:17.04.3~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-accounts-kcm 17.08.3

=== CMakeLists.txt ===
project (ktp-accounts-kcm)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(Qt5 5.2.0 CONFIG REQUIRED Core Widgets DBus)
find_package(KF5 5.11 REQUIRED KCMUtils KIO I18n WidgetsAddons Codecs CoreAddons ConfigWidgets IconThemes ItemViews)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KTP_ACCOUNTS_KCM_SONUMBER "9")
set(KTP_ACCOUNTS_KCM_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(IS_KTP_INTERNAL_MODULE TRUE)

find_package (TelepathyQt5 REQUIRED)
find_package (KAccounts REQUIRED)
find_package (Intltool REQUIRED) #needed to generate service and provider files

set(CMAKE_MODULE_PATH ${KACCOUNTS_MACROS_PATH} ${CMAKE_MODULE_PATH}) #for KAccountsMacros

# make some more macros available
# include (MacroLibrary)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)
include(KAccountsMacros)

add_definitions (
#                  -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src
                     ${TELEPATHY_QT5_INCLUDE_DIR})

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (plugins)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
ktp-accounts-kcm (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kde-config-telepathy-accounts.install, no more useful now
    - no more need to invoke dh_install --fail-missing
  * Update lintian overrides.
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-logger-qt-dev to >= 17.08
    - libtelepathy-qt5-dev to >= 0.9.7
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:38:27 +0100

ktp-accounts-kcm (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1). (Closes: 826356)
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:01 +0200

ktp-accounts-kcm (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:33:01 +0200

ktp-accounts-kcm (16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Update install files

  [ Automatic packaging ]
  * upstream branch
  * Bump Standards-Version to 3.9.8
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:55:55 +0200

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               intltool,
               libaccounts-glib-dev,
               libaccounts-qt5-dev (>= 1.10~),
               libkaccounts-dev (>= 15.07),
               libkf5codecs-dev (>= 5.11~),
               libkf5configwidgets-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5i18n-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5itemviews-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libktp-dev (>= 17.08.3~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ktp-accounts-kcm.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ktp-accounts-kcm.git

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration,
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-accounts-kcm 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(KTP_ACCOUNTS_KCM_SONUMBER "9")

=== plugins/CMakeLists.txt ===
add_subdirectory (gabble)
add_subdirectory (haze)
add_subdirectory (idle)
# macro_optional_add_subdirectory (butterfly)
# macro_optional_add_subdirectory (rakia)
add_subdirectory (salut)
add_subdirectory (sunshine)
# macro_optional_add_subdirectory (pintxo)
add_subdirectory (morse)
add_subdirectory (sipe)
add_subdirectory (kaccounts)

=== debian/changelog ===
ktp-accounts-kcm (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:09 +0000

ktp-accounts-kcm (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:55 +0000

ktp-accounts-kcm (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:32 +0000

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               intltool,
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkaccounts-dev (>= 4:17.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libktp-dev (>= 4:17.12.3~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kde-telepathy
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-config-telepathy-accounts-dbg (<= 15.12.1-1~~)'

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3

http://download.kde.org/stable/applications/([\d.]+)/src/ktp-accounts-kcm-([\d.]+)\.tar\.(?:bz2|xz)

## ktp-accounts-kcm 17.12.3-0ubuntu1+9.0trisquel1

=== debian/changelog ===
ktp-accounts-kcm (4:17.12.3-0ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Disabled failing protocols

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 12 Jun 2020 18:20:59 +0000

## ktp-accounts-kcm 18.04.3

=== debian/changelog ===
ktp-accounts-kcm (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                intltool,
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkaccounts-dev (>= 4:17.12.3~),
+               libkaccounts-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -21,13 +21,13 @@
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:17.12.3~),
+               libktp-dev (>= 4:18.04.3~),
                libsignon-qt5-dev (>= 8.55~),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm

## ktp-accounts-kcm 18.12.3

=== debian/changelog ===
ktp-accounts-kcm (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:32:43 +0000

ktp-accounts-kcm (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:19:48 +0000

ktp-accounts-kcm (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:45 +0000

ktp-accounts-kcm (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:58 +0000

ktp-accounts-kcm (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 12:57:32 +0000

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               intltool,
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkaccounts-dev (>= 4:18.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libktp-dev (>= 4:18.12.3~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration,
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-accounts-kcm 19.04.3

=== debian/changelog ===
ktp-accounts-kcm (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:23 +0100

ktp-accounts-kcm (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:11:59 +0100

ktp-accounts-kcm (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:00 +0100

ktp-accounts-kcm (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:47:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                intltool,
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkaccounts-dev (>= 4:18.12.3~),
+               libkaccounts-dev (>= 4:19.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -21,7 +21,7 @@
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:18.12.3~),
+               libktp-dev (>= 4:19.04.3~),
                libsignon-qt5-dev (>= 8.55~),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),

## ktp-accounts-kcm 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 find_package(KF5 5.11 REQUIRED KCMUtils KIO I18n WidgetsAddons Codecs CoreAddons ConfigWidgets IconThemes ItemViews)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")

=== plugins/haze/CMakeLists.txt ===
project (ktpaccountskcm-plugin-haze)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcmtelepathyaccounts_plugin_haze\")

set (ktpaccountskcm_plugin_haze_SRCS
     haze-account-ui-plugin.cpp
     haze-icq-account.cpp
     icq-main-options-widget.cpp
     icq-server-settings-widget.cpp
     haze-myspaceim-account-ui.cpp
     myspaceim-main-options-widget.cpp
     myspaceim-advanced-settings-widget.cpp
     haze-skype-account-ui.cpp
     skype-main-options-widget.cpp
     skype-advanced-settings-widget.cpp
     haze-yahoo-account.cpp
     yahoo-main-options-widget.cpp
     yahoo-server-settings-widget.cpp
     aim-main-options-widget.cpp
     haze-aim-account.cpp
     aim-server-settings-widget.cpp
     msn-main-options-widget.cpp
     haze-msn-account.cpp
     haze-groupwise-account.cpp
     groupwise-main-options-widget.cpp
     groupwise-advanced-settings-widget.cpp
     haze-steam-account.cpp
     steam-main-options-widget.cpp
     haze-sipe-account.cpp
     sipe-main-options-widget.cpp
     sipe-advanced-settings-widget.cpp
     skypeweb-options-widget.cpp
     haze-skypeweb-account.cpp
)

ki18n_wrap_ui (ktpaccountskcm_plugin_haze_SRCS
                   icq-main-options-widget.ui
                   icq-server-settings-widget.ui
                   myspaceim-main-options-widget.ui
                   myspaceim-advanced-settings-widget.ui
                   skype-main-options-widget.ui
                   skype-advanced-settings-widget.ui
                   yahoo-main-options-widget.ui
                   yahoo-server-settings-widget.ui
                   aim-main-options-widget.ui
                   aim-server-settings-widget.ui
                   msn-main-options-widget.ui
                   groupwise-advanced-settings-widget.ui
                   groupwise-main-options-widget.ui
                   steam-main-options-widget.ui
                   sipe-main-options-widget.ui
                   sipe-advanced-settings-widget.ui
                   skypeweb-options-widget.ui
)

add_library (ktpaccountskcm_plugin_haze MODULE
                 ${ktpaccountskcm_plugin_haze_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_haze
                       ktpaccountskcminternal
                       Qt5::Core
                       Qt5::Widgets
                       KF5::Codecs
                       ${TELEPATHY_QT5_LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_haze
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_haze.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_haze.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_haze.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-accounts-kcm (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:14:36 +0000

ktp-accounts-kcm (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:10 +0000

ktp-accounts-kcm (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:58:25 +0000

ktp-accounts-kcm (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Drop upstream applied upstream_fix_build_telepathy-qt_0.9.8.diff
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:52:06 +0000

ktp-accounts-kcm (4:19.08.3-0ubuntu2) focal; urgency=medium

  * Add upstream_fix_build_telepathy-qt_0.9.8.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 08 Dec 2019 13:47:54 +0000

ktp-accounts-kcm (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:36:46 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                intltool,
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkaccounts-dev (>= 4:19.04.3~),
+               libkaccounts-dev (>= 4:19.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -21,7 +21,7 @@
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:19.04.3~),
+               libktp-dev (>= 4:19.12.3~),
                libsignon-qt5-dev (>= 8.55~),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),

## ktp-accounts-kcm 19.12.3-0ubuntu1+10.0trisquel1

=== debian/changelog ===
ktp-accounts-kcm (4:19.12.3-0ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Disabled failing protocols

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 31 Jul 2021 15:09:55 +0000

## ktp-accounts-kcm 20.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,24 +4,23 @@
 
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 5.2.0 CONFIG REQUIRED Core Widgets DBus)
 find_package(KF5 5.11 REQUIRED KCMUtils KIO I18n WidgetsAddons Codecs CoreAddons ConfigWidgets IconThemes ItemViews)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(KTP_ACCOUNTS_KCM_SONUMBER "9")
-set(KTP_ACCOUNTS_KCM_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(KTP_ACCOUNTS_KCM_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(IS_KTP_INTERNAL_MODULE TRUE)
 
 find_package (TelepathyQt5 REQUIRED)
 find_package (KAccounts REQUIRED)
-find_package (Intltool REQUIRED) #needed to generate service and provider files
 
 set(CMAKE_MODULE_PATH ${KACCOUNTS_MACROS_PATH} ${CMAKE_MODULE_PATH}) #for KAccountsMacros
 
@@ -44,6 +43,8 @@
 include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src
                      ${TELEPATHY_QT5_INCLUDE_DIR})
 
+option(BUILD_DISABLED_PROVIDERS "Build providers that are disabled by default" OFF)
+
 add_subdirectory (src)
 add_subdirectory (data)
 add_subdirectory (plugins)

=== plugins/morse/CMakeLists.txt ===
project (ktpaccountskcm-plugin-morse)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcmtelepathyaccounts_plugin_morse\")

set (ktpaccountskcm_plugin_morse_SRCS
     morse-account-ui-plugin.cpp
     telegram-account-ui.cpp
     main-options-widget.cpp
)

ki18n_wrap_ui (ktpaccountskcm_plugin_morse_SRCS
                   main-options-widget.ui
)

add_library (ktpaccountskcm_plugin_morse MODULE
                 ${ktpaccountskcm_plugin_morse_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_morse
                       ktpaccountskcminternal
                       Qt5::Core
                       Qt5::Widgets
                       ${TELEPATHY_QT5_LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_morse
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_morse.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_morse.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_morse.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== plugins/salut/CMakeLists.txt ===
project (ktpaccountskcm-plugin-salut)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktpaccountskcm_plugin_salut_SRCS
     salut-account-ui-plugin.cpp
     salut-account-ui.cpp
     salut-main-options-widget.cpp
     salut-advanced-options-widget.cpp
)

ki18n_wrap_ui (ktpaccountskcm_plugin_salut_SRCS
                   salut-main-options-widget.ui
                   salut-advanced-options-widget.ui
)

add_library  (ktpaccountskcm_plugin_salut MODULE
                 ${ktpaccountskcm_plugin_salut_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_salut
                       ktpaccountskcminternal
                       Qt5::Core
                       Qt5::Widgets
                       ${TELEPATHY_QT5LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_salut
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_salut.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_salut.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_salut.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== plugins/sunshine/CMakeLists.txt ===
project (ktpaccountskcm-plugin-sunshine)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"ktpaccountskcm_plugin_sunshine\")

set (ktpaccountskcm_plugin_sunshine_SRCS
     sunshine-account-ui-plugin.cpp
     sunshine-account-ui.cpp
     sunshine-main-options-widget.cpp
     sunshine-advanced-options-widget.cpp
)

ki18n_wrap_ui (ktpaccountskcm_plugin_sunshine_SRCS
                   sunshine-main-options-widget.ui
                   sunshine-advanced-options-widget.ui
)

add_library (ktpaccountskcm_plugin_sunshine MODULE
                 ${ktpaccountskcm_plugin_sunshine_SRCS}
)

target_link_libraries (ktpaccountskcm_plugin_sunshine
                       ktpaccountskcminternal
                       ${QT_LIBRARIES}
                       ${KDE4_KDEUI_LIBS}
                       ${TELEPATHY_QT4_LIBRARIES}
)

# Install:
install (TARGETS ktpaccountskcm_plugin_sunshine
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktpaccountskcm_plugin_sunshine.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_sunshine.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktpaccountskcm_plugin_sunshine.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/KCMTelepathyAccounts/CMakeLists.txt ===
project (libktpaccountskcminternal)

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions (-DMAKE_KCM_TELEPATHY_ACCOUNTS_LIB)

set (libktpaccountskcminternal_SRCS
     abstract-account-ui-plugin.cpp
     abstract-account-ui.cpp
     abstract-account-parameters-widget.cpp
     generic-advanced-options-widget.cpp
     account-edit-widget.cpp
     profile-select-widget.cpp
     simple-profile-select-widget.cpp
     profile-list-model.cpp
     profile-item.cpp
     parameter-edit-widget.cpp
     parameter-edit-delegate.cpp
     parameter-edit-model.cpp
     parameter-item.cpp
     dictionary.cpp
     plugin-manager.cpp
     feedback-widget.cpp
     validated-line-edit.cpp
)

set (libktpaccountskcminternal_HDRS
     abstract-account-ui-plugin.h
     abstract-account-ui.h
     abstract-account-parameters-widget.h
     generic-advanced-options-widget.h
     account-edit-widget.h
     plugin-manager.h
     profile-list-model.h
     profile-select-widget.h
     simple-profile-select-widget.h
     profile-item.h
     parameter-edit-widget.h
     parameter-edit-model.h
     validated-line-edit.h
)

set (libktpaccountskcminternal_PRETTY_HDRS
     AbstractAccountUiPlugin
     AbstractAccountUi
     AbstractAccountParametersWidget
     GenericAdvancedOptionsWidget
     AccountEditWidget
     ConnectionManagerItem
     PluginManager
     ProtocolSelectWidget
     ProtocolItem
     ParameterEditWidget
     ParameterEditModel
     ValidatedLineEdit
)

ki18n_wrap_ui (libktpaccountskcminternal_SRCS
               account-edit-widget.ui
               parameter-edit-widget.ui
               profile-select-widget.ui
               simple-profile-select-widget.ui
)

add_library(ktpaccountskcminternal
            SHARED
            ${libktpaccountskcminternal_SRCS}
)

if (TARGET TelepathyQt5::Core) # telepathy-qt 0.9.8
    set (TELEPATHY_QT5_LIBRARIES TelepathyQt5::Core)
endif()

target_link_libraries (ktpaccountskcminternal
                       Qt5::Widgets
                       Qt5::Core
#                        KF5::KIO
                       KF5::I18n
                       KF5::WidgetsAddons
                       KF5::ConfigWidgets
                       KF5::ItemViews
                       KF5::IconThemes
                       KF5::Service
                       ${TELEPATHY_QT5_LIBRARIES}
)


set_target_properties (ktpaccountskcminternal PROPERTIES
                       VERSION ${KTP_ACCOUNTS_KCM_VERSION}
                       SOVERSION ${KTP_ACCOUNTS_KCM_SONUMBER}
)

if (MSVC)
    set_target_properties (ktpaccountskcminternal PROPERTIES
                           OUTPUT_NAME libktpaccountskcminternal
    )
endif (MSVC)

# Install:
install (TARGETS ktpaccountskcminternal
         ${INSTALL_TARGETS_DEFAULT_ARGS}
         LIBRARY NAMELINK_SKIP
)

install (FILES
         ktpaccountskcminternal-accountuiplugin.desktop
         DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-accounts-kcm (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - ignore-ssl-error.patch: drop, as its status is unclear, and its plugin
      is not built/dead
    - build-with-telepathy098: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump libktp-dev to 20.08.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update watch file to the new release-service location.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 21:59:53 +0200

ktp-accounts-kcm (17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ John Scott ]
  * Import upstream commit to ix FTBFS with Telepathy Qt 0.9.8.
    (Closes: #949237)
  * Move URLs to Salsa 

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 28 Mar 2020 16:26:01 +0100

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.0.0~),
               intltool,
               libaccounts-glib-dev,
               libaccounts-qt5-dev (>= 1.10~),
               libkaccounts-dev (>= 15.07),
               libkf5codecs-dev (>= 5.11~),
               libkf5configwidgets-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5i18n-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5itemviews-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libktp-dev (>= 20.08.0~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-accounts-kcm.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-accounts-kcm

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration,
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='kde-config-telepathy-accounts-dbg (<= 15.12.1-1~~)'

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## ktp-accounts-kcm 20.08.1

=== debian/changelog ===
ktp-accounts-kcm (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:59:07 +0100

ktp-accounts-kcm (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:50:55 +0100

ktp-accounts-kcm (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jul 2020 21:51:52 +0100

ktp-accounts-kcm (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:21:44 +0100

ktp-accounts-kcm (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:39:55 +0100

ktp-accounts-kcm (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:25:48 +0100

=== debian/control ===
Source: ktp-accounts-kcm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               intltool,
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkaccounts-dev (>= 4:20.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libktp-dev (>= 4:20.08.1~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-accounts-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-accounts-kcm

Package: kde-config-telepathy-accounts
Architecture: any
Depends: kaccounts-integration,
         kde-telepathy-data,
         kde-telepathy-kaccounts,
         kde-telepathy-kpeople,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Control Module for managing Telepathy Accounts
 This package provides a KControl module for adding, editing and removing
 Telepathy accounts. This module can be accessed from system settings
 under a KDE Plasma desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-accounts-kcm 20.12.3

=== debian/changelog ===
ktp-accounts-kcm (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:26:27 +0000

ktp-accounts-kcm (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:59:42 +0000

ktp-accounts-kcm (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:13:41 +0000

ktp-accounts-kcm (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:32:51 +0000

ktp-accounts-kcm (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:56:52 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                intltool,
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkaccounts-dev (>= 4:20.08.1~),
+               libkaccounts-dev (>= 4:20.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -21,7 +21,7 @@
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:20.08.1~),
+               libktp-dev (>= 4:20.12.3~),
                libsignon-qt5-dev (>= 8.55~),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),

## ktp-accounts-kcm 21.08.1

=== debian/changelog ===
ktp-accounts-kcm (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:38:31 +0100

ktp-accounts-kcm (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:07:55 +0100

ktp-accounts-kcm (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:02:01 +0100

ktp-accounts-kcm (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:37:32 +0100

ktp-accounts-kcm (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:49:06 +0100

ktp-accounts-kcm (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:46:17 +0100

ktp-accounts-kcm (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:12:43 +0100

ktp-accounts-kcm (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:43:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                intltool,
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
-               libkaccounts-dev (>= 4:20.12.3~),
+               libkaccounts-dev (>= 4:21.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -21,7 +21,7 @@
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libktp-dev (>= 4:20.12.3~),
+               libktp-dev (>= 4:21.08.1~),
                libsignon-qt5-dev (>= 8.55~),
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),
